#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--PETSC_ARCH=x86_64-w64-mingw32',
    '--known-64-bit-blas-indices=0',
    '--known-mpi-int64_t=0',
    '--prefix=/workspace/destdir',
    '--with-64-bit-indices=0',
    '--with-batch',
    '--with-blaslapack-lib=/workspace/destdir/bin/libopenblas.dll',
    '--with-blaslapack-suffix=',
    '--with-debugging=0',
    '--with-mpi-include=/workspace/destdir/include',
    '--with-mpi-lib=/workspace/destdir/bin/msmpi.dll',
    '--with-sowing=0',
    'CC=cc',
    'COPTFLAGS=-O3',
    'CXX=c++',
    'CXXOPTFLAGS=-O3',
    'FC=gfortran',
    'FOPTFLAGS=-O3',
  ]
  configure.petsc_configure(configure_options)
